System.Security 2.0.0.0 4.0.0.0 System.Object To be added.

The class provides signing functionality.

- Constructor
  2.0.0.0
  4.0.0.0

  The class has the following default property values.

  Property

  Default value

  1.3.14.3.2.26 (szOID_OIWSEC_sha1)

  if is ,

  otherwise

  The constructor creates an instance of the class by using a default subject identifier type.

- Constructor
  2.0.0.0
  4.0.0.0

  For the default property values used with this constructor, see . An exception to those values when this constructor is used is that is set to .

  The constructor creates an instance of the class with the specified cryptographic service provider (CSP) parameters. is useful when you know the specific CSP and private key to use for signing.

  A object that represents the set of CSP parameters to use.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class with the specified subject identifier type.

  A member of the enumeration that specifies the signer identifier type.
- Constructor
  2.0.0.0
  4.0.0.0

  For the default property values used with this constructor, see .

  The signing certificate specified by the parameter is not checked for validity on input. To validate the certificate prior to supplying it to this constructor, use the method.

  The constructor creates an instance of the class with the specified signing certificate.

  An object that represents the signing certificate.
- Constructor
  2.0.0.0
  4.0.0.0

  The signing certificate specified by the parameter is not checked for validity on input. To validate the certificate prior to supplying it to this constructor, use the method.

  The constructor creates an instance of the class with the specified signer identifier type and signing certificate.

  A member of the enumeration that specifies the signer identifier type.
  An object that represents the signing certificate.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2 To be added. To be added.

  The property sets or retrieves the object that represents the signing certificate.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2Collection To be added.

  This property may be used to hold certificates in the signer's certificate chain. In this case, the certificates included in the collection are determined by the setting of the property. Not all certificates in the signer's certificate chain are necessarily present in .

  The property retrieves the collection that contains certificates associated with the message to be signed.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added.

  For the default value of this property, see .

  The property sets or retrieves the that represents the hash algorithm used with the signature.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509IncludeOption To be added. To be added.

  The property sets or retrieves the option that controls whether the root and entire chain associated with the signing certificate are included with the created CMS/PKCS #7 message.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CryptographicAttributeObjectCollection To be added.

  An example of a signed attribute that might be included in the collection retrieved by the property is the signing time attribute.

  A object and a object will be automatically generated and placed in the property for the corresponding signer whenever the property is not empty.

  The property retrieves the collection of signed attributes to be associated with the resulting content. Signed attributes are signed along with the specified content.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.SubjectIdentifierType To be added. To be added.

  The property sets or retrieves the type of the identifier of the signer.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CryptographicAttributeObjectCollection To be added.

  An example of an unsigned attribute that might be included in the collection retrieved by the property is a countersignature.

  The property retrieves the collection of unsigned PKCS #9 attributes to be associated with the resulting content. Unsigned attributes can be modified without invalidating the signature.